Subject: Re: Bug: "Received" misspelled in remote message

From: Junio C Hamano <[email-masked]>
Date: Thu, 16 Nov 2023 12:10:28 +0900

Alan Dove <[email-masked]> writes:

> Hello:
>
> Using Git 2.40.1 on a private server, I see this message whenever I
> push a commit:
>
> "remote: Recieved update on checked-out branch, queueing deployment."
>
> "Received" is misspelled. 

I think it is coming from the "push-to-checkout" hook that is
installed on your "private server", and not from what we ship as
part of our software offering.

We are not going to include spelling correction software to massage
the output from end-user installed hooks, so it is unlikely the
typo will be fixed by us.

> I realize this is a very minor issue, but it should also be very easy
> to correct. As someone who suffers from Proofreader's Eye, this error
> deals psychic damage to me on a daily basis.

Sounds like something a world-class science writer may say ;-).

Thanks for reporting.